Subject: dhcp/bonding interaction question

From: "Chris Friesen" <[email-masked]>
Date: Tue, 23 Sep 2008 09:24:32 -0600

We've recently run into an interesting issue, and I was hoping to get 
some suggestions.

We've got a boot server configured with two bonded links using the XOR 
tx mode.  Another board comes up.  It's got two links which will 
eventually be bonded.  It issues a DHCP request to the server over one 
of the links, which arrives on one of the bonded slaves.  The server 
sends a reply, but the XOR results in the packet being sent back via the 
other slave.  On the booting blade the xid in the packet doesn't match 
the xid for the device on which the packet was received, so the packet 
is dropped.

What's the proper solution here?  Should dhcpd be forcing reply packets 
out the slave on which the packet was received?

Chris